/* FichothequeLib_API - Copyright (c) 2025 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.namespaces;

import net.mapeadores.util.attr.AttributeKey;
import net.mapeadores.util.attr.CheckedNameSpace;


/**
 *
 * @author Vincent Calame
 */
public class FormatSpace {

    public final static CheckedNameSpace FORMAT_NAMESPACE = CheckedNameSpace.build("format");
    public final static AttributeKey AMOUNTSUBUNIT_KEY = AttributeKey.build(FORMAT_NAMESPACE, "amountsubunit");
    public final static AttributeKey CALCULATION_KEY = AttributeKey.build(FORMAT_NAMESPACE, "calculation");
    public final static AttributeKey DATELABELTRUNCATE_KEY = AttributeKey.build(FORMAT_NAMESPACE, "datelabeltruncate");
    public final static AttributeKey DATESTYLE_KEY = AttributeKey.build(FORMAT_NAMESPACE, "datestyle");
    public final static AttributeKey EMPTYTONULL_KEY = AttributeKey.build(FORMAT_NAMESPACE, "emptytonull");
    public final static AttributeKey SUM_KEY = AttributeKey.build(FORMAT_NAMESPACE, "sum");

}
